/*-------------------------------------------------------*
 | File: GLOBAL.h - Declaration of all global variables. |
 | Variables needed to have a defined value at the       |
 | program start are ALWAYS explicitely initialised.     |
 *-------------------------------------------------------*/

/**
 | - variables for cback.o;
 | - The "version tag" string;
 | - The window offsets (screen titlebar/border height and width);
 | - the "break window" parameters;
 | - library bases;
 | - Intuition pointers and structures for the output window;
 | - Intuition pointers and structures for the AppWindow;
 | - Intuition pointers and structures for the break window;
 | - pointers and structures related to disk reading
**/

long  __stack         = 4000;
char *__procname      = "DT";
long  __priority      = 0;
long  __BackGroundIO  = 0;

char VersionTag[] = "\0$VER: " PROG_NAME " " REVISION " " LAST_CHANGED ;

WORD xOffset;
WORD yOffset;

WORD bkwLeft, bkwTop, bkwWidth, bkwHeight;

struct Library *IntuitionBase = NULL;
struct Library *GfxBase       = NULL;
struct Library *LayersBase    = NULL;
struct Library *GadToolsBase  = NULL;
struct Library *WorkbenchBase = NULL;

struct Screen   *pScr       = NULL;
struct Window   *pWind      = NULL;
APTR            pVI         = NULL;
struct RastPort *pClearRP   = NULL;
struct Menu     *pMenu      = NULL;
struct Gadget   *pScroller;
struct Gadget   *pGlist;

struct MsgPort   *appWinPort  = NULL;
struct AppWindow *pAWind      = NULL;

struct Window *pBWind = NULL;
struct Gadget *pBGad  = NULL;

struct FileRequester *pFR = NULL;

struct MsgPort       *diskPort    = NULL;
struct IOExtTD       *diskReq     = NULL;
BYTE                 *diskBuffer  = NULL;
struct FileInfoBlock *pFIB        = NULL;
ULONG                diskBufferLength;
