/*------------------------------------------------*
 | File: MAIN.c - Main routines for DiskTest (DT) |
 +------------------------------------------------+--------*
 | Author:  Maurizio Loreti, aka MLO or I3NOO.             |
 | Address: University of Padova - Department of Physics   |
 |          Via F. Marzolo, 8 - 35131 PADOVA - Italy       |
 | Phone:   (39)(49) 844-313         FAX: (39)(49) 844-245 |
 | E-Mail:  loreti@padova.infn.it (TCP/IP)                 |
 | Home: Via G. Donizetti 6 - 35010 CADONEGHE (PD) - Italy |
 *---------------------------------------------------------*/

/**
 | #includes
**/

#include <stddef.h>                       /* Standard library */
#include <stdlib.h>
#include <exec/types.h>                   /* Amiga specific */
#include <clib/intuition_protos.h>
#include "main.h"                         /* Local stuff */
#include "global.h"

void MAIN(
  char *arg
){
  Init();
  EventLoop();
  Cleanup();
}

void Error(
  char *fmt
){
/**
 | General error routine.
 | Generates an EasyRequester having in its window the error
 | description, then exits. If pWind is NULL (i.e. if the DT
 | window was not yet opened on the default public screen),
 | the EasyRequester will open on the Workbench screen.
**/

  struct EasyStruct es = {
    sizeof(struct EasyStruct), 0,
    PROG_NAME " message:", NULL, "OK"
  };

  es.es_TextFormat = fmt;
  (void) EasyRequest(pWind, &es, NULL);
  Cleanup();
}

/**
 | Disable SAS-C builtin CTRL-C handling.
 | That feature is not used for now (actually, the window is not
 | sensitive to the keyboard :-)
**/

void __regargs __chkabort(void) { }
