
/*
 *  SCSI/SENSE.H
 *
 *  Sense structure
 */

#ifndef SCSI_SENSE_H
#define SCSI_SENSE_H

#define REQUEST_SENSE	0x03

typedef struct CmdReqSense {
    ubyte   rs_OpCode;
    ubyte   rs_Reserved1;
    ubyte   rs_Reserved2;
    ubyte   rs_AllocLen;
    ubyte   rs_Control;
} CmdReqSense;

typedef struct ReqSenseData {
    ubyte   sd_Code;	    /*	sense code 0x70 or 0x71     */
    ubyte   sd_Segment;
    ubyte   sd_SenseFlags;  /*	SENSEF_ flags		    */
    ubyte   sd_Info[4];
    ubyte   sd_AdditLength;
} ReqSenseData;

#define SENSEF_FILEMARK 0x80
#define SENSEF_EOM	0x40
#define SENSEF_ILI	0x20
#define SENSEF_RESERVED 0x10
#define SENSEF_KEYMASK	0x0F

#define SENSE_NOSENSE		0
#define SENSE_RECOVERED_ERROR	1
#define SENSE_NOT_READY 	2
#define SENSE_MEDIUM_ERROR	3
#define SENSE_HARDWARE_ERROR	4
#define SENSE_ILLEGAL_REQUEST	5
#define SENSE_UNIT_ATTENTION	6
#define SENSE_DATA_PROTECT	7
#define SENSE_BLANK_CHECK	8
#define SENSE_VENDOR_SPECIFIC	9
#define SENSE_COPY_ABORTED	10
#define SENSE_ABORTED_COMMAND	11
#define SENSE_EQUAL		12
#define SENSE_VOLUME_OVERFLOW	13
#define SENSE_MISCOMPARE	14
#define SENSE_RESERVED		15

#endif

