
/*
 *  DEFS.H
 */

#include <scsi/types.h>
#include <scsi/sense.h>
#include <dos/dos.h>
#include <dos/dosextens.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define DOS_TRUE    (-1)
#define DOS_FALSE   (0)

typedef struct Node Node;
typedef struct List List;
typedef struct DosPacket DosPacket;
typedef struct DosList	 DosList;
typedef struct RootNode  RootNode;
typedef struct Message Message;
typedef struct FileHandle FileHandle;
typedef struct DosInfo	DosInfo;

typedef struct Chan {
    Node    ch_Node;
    List    ch_PktList;
    char    *ch_DeviceName;
    char    *ch_Buf1;
    char    *ch_Buf2;
    long    ch_BufIdx1;
    long    ch_BufLen1;
    long    ch_BufLen2;
    long    ch_BufSize;
    long    ch_SectSize;
    long    ch_Flags;
    long    ch_UnitNo;
    SCSIReq ch_Ios;
    long    ch_IosLen;
    char    ch_Cmd[6];
} Chan;

#define CHANF_APPEND	0x0001
#define CHANF_REWIND	0x0002
#define CHANF_IOSIP	0x0004
#define CHANF_WRITE	0x0008
#define CHANF_EOF	0x0010
#define CHANF_ERASE	0x0020
#define CHANF_ERROR	0x0040

#include <tape-protos.h>

